# Changelog

## [Unreleased]

Cette version est un refactoring significatif du code du plugin. De fait, il peut être 
nécessaire de recharger certaines unités de peuplement de territoires.

### Added

- Avertir l'utilisateur dans le formulaire de peuplement si le serveur des nomenclatures de territoires n'est pas compatible.
- Rangement du formulaire de peuplement par onglets.
- Ajout d'une information d'obsolescence d'une unité de peuplement dans le formulaire de peuplement.
- Ajout d'un type de territoire `zone protégée` pour les parcs et réserves naturels qui ne sont 
donc plus considérés comme des subdivisions.
- Création de fonctions de service pour des plugins connexes comme `Contours de territoires`.
- Ajout d'un changelog.

### Changed

- Refactorer l'affichage du formulaire de peuplement
- Refactorer le chargement du formulaire de peuplement en utilisant la collection des feeds 
(performance).
- Refactoring complet de l'organisation des fonctions de peuplement.

## [1.5.1] - 2023-05-04

### Changed

- Formatage des données extra d'un territoire avec affichage de l'unité si nécessaire.

## [1.5.0] - 2023-04-30

### Added

- Ajout de la nomenclature des parcs naturels considérés comme des subdivisions.
- Compatibilité spip 4.2.

### Changed

- Faire évoluer la fonction de fusion d'une traduction pour prendre en compte spip 4.2 et son collecteur Multis.
- Mise à jour d'items de langue

### Fixed

- Corriger l'appel à territoires_acquerir() dont le paramèttre pays est une chaine pas un tableau.
- Corriger la fonction de fusion des traductions

## [1.4.3] - 2022-12-22

### Changed

- Mise à jour de certaines écritures PHP pour s'adapter à PHP 8.2
- Actions qualité sur le code : nettoyage, amélioration, typage des fonctions, PHPDoc systématique.
